Bug 1341153 - [RFE] 'Remove' template dialog on an export domain should show subversion name
Summary: [RFE] 'Remove' template dialog on an export domain should show subversion name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0.2
Assignee: Sharon Gratch
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-31 11:30 UTC by Jiri Belka
Modified: 2017-02-07 04:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This update includes the subversion name and subversion number of the template being removed from the "remove template(s)" screen. The two "remove template(s)" screens now display the following: Are you sure you want to remove the following items? - template-name (Version: subversion-name(subversion-number))
Clone Of:
Environment:
Last Closed: 2017-02-01 14:52:56 UTC
oVirt Team: Virt
michal.skrivanek: ovirt-4.1?
lsvaty: testing_plan_complete-
rule-engine: planning_ack?
rule-engine: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 59085 0 master MERGED webadmin: show templates version in remove dialog 2016-06-22 13:32:44 UTC

Description Jiri Belka 2016-05-31 11:30:10 UTC
Description of problem:

Subversion should be visible in 'Remote' dialog to delete a sub-template on an export domain.

Now:

~~~
Remote Backed up Template(s)

Are you sure you want to remove the following items?
- test
~~~

Should be:

~~~
Remote Backed up Template(s)

Are you sure you want to remove the following items?
- test (test-2)
~~~

Version-Release number of selected component (if applicable):
rhevm-4.0.0-0.7.master.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. have a template and its subversion on an export domain
2. click 'Remote' to delete the subversioned template on the export domain
3. check dialog

Actual results:
the text contains just template name, ie. does not include subversion name

Expected results:
the text should contain both template name and subversion name (if applicable)

Additional info:

Comment 1 Sharon Gratch 2016-06-23 08:45:06 UTC
After the fix, the template(s) remove dialog displays the following:
Are you sure you want to remove the following items?
- test (Version: subversion-name(subversion-number))


Please note that this fix was done for two dialogs:
1. The remove templates dialog accessed from the Templates main tab.
2. The remove templates dialog accessed from the templates list in the Details Pane, chosen for an export domain (which is chosen from the storage main tab).

Comment 2 Sandro Bonazzola 2016-12-12 13:57:41 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 3 Lucie Leistnerova 2017-01-02 15:00:12 UTC
both dialogs have the version

verified in ovirt-engine-4.1.0-0.3.beta2.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.